---
title: "Download"
draft: false
toc: true
---
# Latest Release: v0.5.0 (March 31, 2021)

[Change History](/guidebook/changes.html)

## Windows

The Microsoft&trade; Windows release of _Sketchy Maze_ currently comes as a ZIP
file that you can extract anywhere and then run the `sketchymaze.exe` program to
start the game.

**Note:** I do not yet have a code signing certificate for the Windows release,
so you may need to click through the "Unknown Publisher" warning.

* **64-bit:** [sketchy-maze-0.5.0-windows-64bit.zip](https://download.sketchymaze.com/release/v0.5.0/sketchy-maze-0.5.0-windows-64bit.zip) (23 MB)

[Let me know](mailto:noah@kirsle.net) if you need a 32-bit build of this game.

---

## Mac OS

* **Intel 64-bit:** TBD.

---

## GNU/Linux

### Flatpak (All Distros)

The easiest cross-distro way to download _Sketchy Maze_ is via [Flatpak](https://flatpak.org/),
which is well supported on most popular Linux distributions including Fedora, Ubuntu,
Debian and others.

* **64-bit:** [sketchy-maze-0.5.0.flatpak](https://download.sketchymaze.com/release/v0.5.0/sketchy-maze-0.5.0.flatpak) (11 MB)

```bash
# Download the .flatpak package. NOTE: it's distributed as a stand-alone app
# for now, a flatpak repo will be added at some point.
$ wget https://download.sketchymaze.com/release/v0.5.0/sketchy-maze-0.5.0.flatpak

# Install the .flatpak package.
$ flatpak install --user sketchy-maze-0.5.0.flatpak

# Run it. There should also be a standard app launcher in your menu.
$ flatpak run com.sketchymaze.Doodle
```

### Fedora (.rpm)

* **64-bit:** [sketchy-maze-0.5.0-1.x86_64.rpm](https://download.sketchymaze.com/release/v0.5.0/sketchy-maze-0.5.0-1.x86_64.rpm) (20 MB)

### Ubuntu & Debian (.deb)

* **64-bit:** [sketchy-maze_0.5.0_amd64.deb](https://download.sketchymaze.com/release/v0.5.0/sketchy-maze_0.5.0_amd64.deb) (21 MB)

### Tarball

You can download _Sketchy Maze_ as a `.tar.gz` archive which you can extract
anywhere and run. The binary is built on a modern Fedora system and _hopefully_
should run as-is on other modern GNU/Linux systems, but sometimes shared library
versions of SDL2 may not match your computer.

* **64-bit:** [sketchy-maze-0.5.0-linux-64bit.tar.gz](https://download.sketchymaze.com/release/v0.5.0/sketchy-maze-0.5.0-linux-64bit.tar.gz)

---

# Previous Releases

## Project: Doodle v0.4.0 and Older

Older alpha builds of Sketchy Maze (codenamed _Project: Doodle_) are available
from blog posts on the author's personal website. These releases mainly targeted
Linux and Windows with the occasional Mac OS version.

* [Project: Doodle v0.4.0](https://www.kirsle.net/project-doodle-v0-4-0) -- _Nov 24, 2020_
* [Project: Doodle v0.3.0](https://www.kirsle.net/project-doodle-v0-3-0) -- _Sept 19, 2020_
* [Project: Doodle v0.2.0](https://www.kirsle.net/project-doodle-v0-2-0) -- _June 7, 2020_
* [Project: Doodle v0.1.0](https://www.kirsle.net/doodle-v0.1.0) -- _Apr 13, 2020_
* [Project: Doodle v0.0.10](https://www.kirsle.net/doodle) -- _July 9, 2019_
